## org.apache.ivy.osgi.util
Class ZipUtil

    java.lang.Object
      org.apache.ivy.osgi.util.ZipUtil

    public class ZipUtil

extends java.lang.Object

Class derived from code posted here: http://forums.sun.com/thread.jspa?messageID=2160923

Constructor Summary
`ZipUtil()`

Method Summary
`static void` `zip(java.io.File sourceDir, java.io.OutputStream targetStream)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ZipUtil

    public ZipUtil()

Method Detail

### zip

    public static void zip(java.io.File sourceDir,
                           java.io.OutputStream targetStream)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`